apiVersion: apps/v1
kind: Deployment
metadata:
  name: kubecon24
  namespace: nicolai-ort
  labels:
    app: kubecon24
spec:
  replicas: 1
  revisionHistoryLimit: 10
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 0
      maxSurge: 1
  selector:
    matchLabels:
      app: kubecon24
  template:
    metadata:
      labels:
        app: kubecon24
    spec:
      containers:
        - name: kubecon24
          image: registry.odit.services/niggl/kubecon24:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 80
              name: web
          resources:
            requests:
              memory: "64Mi"
              cpu: "50m"
            limits:
              memory: "256Mi"
              cpu: "200m"
      imagePullSecrets:
        - name: registry-odit-services
      restartPolicy: Always
